# appstore_connect_api.model.AppRelationships

## Load the model package
```dart
import 'package:appstore_connect_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ciProduct** | [**AppRelationshipsCiProduct**](AppRelationshipsCiProduct.md) |  | [optional] 
**betaGroups** | [**AppRelationshipsBetaGroups**](AppRelationshipsBetaGroups.md) |  | [optional] 
**appStoreVersions** | [**AppStoreVersionExperimentV2RelationshipsControlVersions**](AppStoreVersionExperimentV2RelationshipsControlVersions.md) |  | [optional] 
**preReleaseVersions** | [**AppRelationshipsPreReleaseVersions**](AppRelationshipsPreReleaseVersions.md) |  | [optional] 
**betaAppLocalizations** | [**AppRelationshipsBetaAppLocalizations**](AppRelationshipsBetaAppLocalizations.md) |  | [optional] 
**builds** | [**AppRelationshipsBuilds**](AppRelationshipsBuilds.md) |  | [optional] 
**betaLicenseAgreement** | [**AppRelationshipsBetaLicenseAgreement**](AppRelationshipsBetaLicenseAgreement.md) |  | [optional] 
**betaAppReviewDetail** | [**AppRelationshipsBetaAppReviewDetail**](AppRelationshipsBetaAppReviewDetail.md) |  | [optional] 
**appInfos** | [**AppRelationshipsAppInfos**](AppRelationshipsAppInfos.md) |  | [optional] 
**appClips** | [**AppRelationshipsAppClips**](AppRelationshipsAppClips.md) |  | [optional] 
**endUserLicenseAgreement** | [**AppRelationshipsEndUserLicenseAgreement**](AppRelationshipsEndUserLicenseAgreement.md) |  | [optional] 
**preOrder** | [**AppRelationshipsPreOrder**](AppRelationshipsPreOrder.md) |  | [optional] 
**prices** | [**AppRelationshipsPrices**](AppRelationshipsPrices.md) |  | [optional] 
**availableTerritories** | [**AppRelationshipsAvailableTerritories**](AppRelationshipsAvailableTerritories.md) |  | [optional] 
**inAppPurchases** | [**AppRelationshipsInAppPurchases**](AppRelationshipsInAppPurchases.md) |  | [optional] 
**subscriptionGroups** | [**AppRelationshipsSubscriptionGroups**](AppRelationshipsSubscriptionGroups.md) |  | [optional] 
**gameCenterEnabledVersions** | [**AppRelationshipsGameCenterEnabledVersions**](AppRelationshipsGameCenterEnabledVersions.md) |  | [optional] 
**appCustomProductPages** | [**AppRelationshipsAppCustomProductPages**](AppRelationshipsAppCustomProductPages.md) |  | [optional] 
**inAppPurchasesV2** | [**AppRelationshipsInAppPurchasesV2**](AppRelationshipsInAppPurchasesV2.md) |  | [optional] 
**promotedPurchases** | [**AppRelationshipsPromotedPurchases**](AppRelationshipsPromotedPurchases.md) |  | [optional] 
**appEvents** | [**AppRelationshipsAppEvents**](AppRelationshipsAppEvents.md) |  | [optional] 
**reviewSubmissions** | [**AppRelationshipsReviewSubmissions**](AppRelationshipsReviewSubmissions.md) |  | [optional] 
**subscriptionGracePeriod** | [**AppRelationshipsSubscriptionGracePeriod**](AppRelationshipsSubscriptionGracePeriod.md) |  | [optional] 
**appStoreVersionExperimentsV2** | [**AppStoreVersionRelationshipsAppStoreVersionExperiments**](AppStoreVersionRelationshipsAppStoreVersionExperiments.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


