# appstore_connect_api.api.AppStoreVersionExperimentsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsappstoreversionexperimenttreatmentsgettomanyrelated) | **GET** /v2/appStoreVersionExperiments/{id}/appStoreVersionExperimentTreatments | 
[**appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated_0**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsappstoreversionexperimenttreatmentsgettomanyrelated_0) | **GET** /v1/appStoreVersionExperiments/{id}/appStoreVersionExperimentTreatments | 
[**appStoreVersionExperimentsCreateInstance**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentscreateinstance) | **POST** /v2/appStoreVersionExperiments | 
[**appStoreVersionExperimentsCreateInstance_0**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentscreateinstance_0) | **POST** /v1/appStoreVersionExperiments | 
[**appStoreVersionExperimentsDeleteInstance**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsdeleteinstance) | **DELETE** /v2/appStoreVersionExperiments/{id} | 
[**appStoreVersionExperimentsDeleteInstance_0**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsdeleteinstance_0) | **DELETE** /v1/appStoreVersionExperiments/{id} | 
[**appStoreVersionExperimentsGetInstance**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsgetinstance) | **GET** /v2/appStoreVersionExperiments/{id} | 
[**appStoreVersionExperimentsGetInstance_0**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsgetinstance_0) | **GET** /v1/appStoreVersionExperiments/{id} | 
[**appStoreVersionExperimentsUpdateInstance**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsupdateinstance) | **PATCH** /v2/appStoreVersionExperiments/{id} | 
[**appStoreVersionExperimentsUpdateInstance_0**](AppStoreVersionExperimentsApi.md#appstoreversionexperimentsupdateinstance_0) | **PATCH** /v1/appStoreVersionExperiments/{id} | 


# **appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated**
> AppStoreVersionExperimentTreatmentsResponse appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatments
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentTreatmentLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentTreatmentLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionExperimentTreatmentsResponse**](AppStoreVersionExperimentTreatmentsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated_0**
> AppStoreVersionExperimentTreatmentsResponse appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated_0(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatments
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentTreatmentLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated_0(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsAppStoreVersionExperimentTreatmentsGetToManyRelated_0: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentTreatmentLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionExperimentTreatmentsResponse**](AppStoreVersionExperimentTreatmentsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsCreateInstance**
> AppStoreVersionExperimentV2Response appStoreVersionExperimentsCreateInstance(appStoreVersionExperimentV2CreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final appStoreVersionExperimentV2CreateRequest = AppStoreVersionExperimentV2CreateRequest(); // AppStoreVersionExperimentV2CreateRequest | AppStoreVersionExperiment representation

try {
    final result = api_instance.appStoreVersionExperimentsCreateInstance(appStoreVersionExperimentV2CreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreVersionExperimentV2CreateRequest** | [**AppStoreVersionExperimentV2CreateRequest**](AppStoreVersionExperimentV2CreateRequest.md)| AppStoreVersionExperiment representation | 

### Return type

[**AppStoreVersionExperimentV2Response**](AppStoreVersionExperimentV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsCreateInstance_0**
> AppStoreVersionExperimentResponse appStoreVersionExperimentsCreateInstance_0(appStoreVersionExperimentCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final appStoreVersionExperimentCreateRequest = AppStoreVersionExperimentCreateRequest(); // AppStoreVersionExperimentCreateRequest | AppStoreVersionExperiment representation

try {
    final result = api_instance.appStoreVersionExperimentsCreateInstance_0(appStoreVersionExperimentCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsCreateInstance_0: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreVersionExperimentCreateRequest** | [**AppStoreVersionExperimentCreateRequest**](AppStoreVersionExperimentCreateRequest.md)| AppStoreVersionExperiment representation | 

### Return type

[**AppStoreVersionExperimentResponse**](AppStoreVersionExperimentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsDeleteInstance**
> appStoreVersionExperimentsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appStoreVersionExperimentsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsDeleteInstance_0**
> appStoreVersionExperimentsDeleteInstance_0(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appStoreVersionExperimentsDeleteInstance_0(id);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsDeleteInstance_0: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsGetInstance**
> AppStoreVersionExperimentV2Response appStoreVersionExperimentsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, limitLeftSquareBracketControlVersionsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatments
final limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
final limitLeftSquareBracketControlVersionsRightSquareBracket = 56; // int | maximum number of related controlVersions returned (when they are included)

try {
    final result = api_instance.appStoreVersionExperimentsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, limitLeftSquareBracketControlVersionsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatments | [optional] [default to const []]
 **limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentTreatments returned (when they are included) | [optional] 
 **limitLeftSquareBracketControlVersionsRightSquareBracket** | **int**| maximum number of related controlVersions returned (when they are included) | [optional] 

### Return type

[**AppStoreVersionExperimentV2Response**](AppStoreVersionExperimentV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsGetInstance_0**
> AppStoreVersionExperimentResponse appStoreVersionExperimentsGetInstance_0(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatments
final limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentTreatments returned (when they are included)

try {
    final result = api_instance.appStoreVersionExperimentsGetInstance_0(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsGetInstance_0: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatments | [optional] [default to const []]
 **limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentTreatments returned (when they are included) | [optional] 

### Return type

[**AppStoreVersionExperimentResponse**](AppStoreVersionExperimentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsUpdateInstance**
> AppStoreVersionExperimentV2Response appStoreVersionExperimentsUpdateInstance(id, appStoreVersionExperimentV2UpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource
final appStoreVersionExperimentV2UpdateRequest = AppStoreVersionExperimentV2UpdateRequest(); // AppStoreVersionExperimentV2UpdateRequest | AppStoreVersionExperiment representation

try {
    final result = api_instance.appStoreVersionExperimentsUpdateInstance(id, appStoreVersionExperimentV2UpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreVersionExperimentV2UpdateRequest** | [**AppStoreVersionExperimentV2UpdateRequest**](AppStoreVersionExperimentV2UpdateRequest.md)| AppStoreVersionExperiment representation | 

### Return type

[**AppStoreVersionExperimentV2Response**](AppStoreVersionExperimentV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentsUpdateInstance_0**
> AppStoreVersionExperimentResponse appStoreVersionExperimentsUpdateInstance_0(id, appStoreVersionExperimentUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentsApi();
final id = id_example; // String | the id of the requested resource
final appStoreVersionExperimentUpdateRequest = AppStoreVersionExperimentUpdateRequest(); // AppStoreVersionExperimentUpdateRequest | AppStoreVersionExperiment representation

try {
    final result = api_instance.appStoreVersionExperimentsUpdateInstance_0(id, appStoreVersionExperimentUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentsApi->appStoreVersionExperimentsUpdateInstance_0: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreVersionExperimentUpdateRequest** | [**AppStoreVersionExperimentUpdateRequest**](AppStoreVersionExperimentUpdateRequest.md)| AppStoreVersionExperiment representation | 

### Return type

[**AppStoreVersionExperimentResponse**](AppStoreVersionExperimentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

