# appstore_connect_api.api.AppStoreVersionReleaseRequestsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreVersionReleaseRequestsCreateInstance**](AppStoreVersionReleaseRequestsApi.md#appstoreversionreleaserequestscreateinstance) | **POST** /v1/appStoreVersionReleaseRequests | 


# **appStoreVersionReleaseRequestsCreateInstance**
> AppStoreVersionReleaseRequestResponse appStoreVersionReleaseRequestsCreateInstance(appStoreVersionReleaseRequestCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionReleaseRequestsApi();
final appStoreVersionReleaseRequestCreateRequest = AppStoreVersionReleaseRequestCreateRequest(); // AppStoreVersionReleaseRequestCreateRequest | AppStoreVersionReleaseRequest representation

try {
    final result = api_instance.appStoreVersionReleaseRequestsCreateInstance(appStoreVersionReleaseRequestCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionReleaseRequestsApi->appStoreVersionReleaseRequestsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreVersionReleaseRequestCreateRequest** | [**AppStoreVersionReleaseRequestCreateRequest**](AppStoreVersionReleaseRequestCreateRequest.md)| AppStoreVersionReleaseRequest representation | 

### Return type

[**AppStoreVersionReleaseRequestResponse**](AppStoreVersionReleaseRequestResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

