# appstore_connect_api.api.AppsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appsAppAvailabilityGetToOneRelated**](AppsApi.md#appsappavailabilitygettoonerelated) | **GET** /v1/apps/{id}/appAvailability | 
[**appsAppClipsGetToManyRelated**](AppsApi.md#appsappclipsgettomanyrelated) | **GET** /v1/apps/{id}/appClips | 
[**appsAppCustomProductPagesGetToManyRelated**](AppsApi.md#appsappcustomproductpagesgettomanyrelated) | **GET** /v1/apps/{id}/appCustomProductPages | 
[**appsAppEventsGetToManyRelated**](AppsApi.md#appsappeventsgettomanyrelated) | **GET** /v1/apps/{id}/appEvents | 
[**appsAppInfosGetToManyRelated**](AppsApi.md#appsappinfosgettomanyrelated) | **GET** /v1/apps/{id}/appInfos | 
[**appsAppPricePointsGetToManyRelated**](AppsApi.md#appsapppricepointsgettomanyrelated) | **GET** /v1/apps/{id}/appPricePoints | 
[**appsAppPriceScheduleGetToOneRelated**](AppsApi.md#appsapppriceschedulegettoonerelated) | **GET** /v1/apps/{id}/appPriceSchedule | 
[**appsAppStoreVersionExperimentsV2GetToManyRelated**](AppsApi.md#appsappstoreversionexperimentsv2gettomanyrelated) | **GET** /v1/apps/{id}/appStoreVersionExperimentsV2 | 
[**appsAppStoreVersionsGetToManyRelated**](AppsApi.md#appsappstoreversionsgettomanyrelated) | **GET** /v1/apps/{id}/appStoreVersions | 
[**appsAvailableTerritoriesGetToManyRelated**](AppsApi.md#appsavailableterritoriesgettomanyrelated) | **GET** /v1/apps/{id}/availableTerritories | 
[**appsBetaAppLocalizationsGetToManyRelated**](AppsApi.md#appsbetaapplocalizationsgettomanyrelated) | **GET** /v1/apps/{id}/betaAppLocalizations | 
[**appsBetaAppReviewDetailGetToOneRelated**](AppsApi.md#appsbetaappreviewdetailgettoonerelated) | **GET** /v1/apps/{id}/betaAppReviewDetail | 
[**appsBetaGroupsGetToManyRelated**](AppsApi.md#appsbetagroupsgettomanyrelated) | **GET** /v1/apps/{id}/betaGroups | 
[**appsBetaLicenseAgreementGetToOneRelated**](AppsApi.md#appsbetalicenseagreementgettoonerelated) | **GET** /v1/apps/{id}/betaLicenseAgreement | 
[**appsBetaTestersDeleteToManyRelationship**](AppsApi.md#appsbetatestersdeletetomanyrelationship) | **DELETE** /v1/apps/{id}/relationships/betaTesters | 
[**appsBuildsGetToManyRelated**](AppsApi.md#appsbuildsgettomanyrelated) | **GET** /v1/apps/{id}/builds | 
[**appsCiProductGetToOneRelated**](AppsApi.md#appsciproductgettoonerelated) | **GET** /v1/apps/{id}/ciProduct | 
[**appsCustomerReviewsGetToManyRelated**](AppsApi.md#appscustomerreviewsgettomanyrelated) | **GET** /v1/apps/{id}/customerReviews | 
[**appsEndUserLicenseAgreementGetToOneRelated**](AppsApi.md#appsenduserlicenseagreementgettoonerelated) | **GET** /v1/apps/{id}/endUserLicenseAgreement | 
[**appsGameCenterEnabledVersionsGetToManyRelated**](AppsApi.md#appsgamecenterenabledversionsgettomanyrelated) | **GET** /v1/apps/{id}/gameCenterEnabledVersions | 
[**appsGetCollection**](AppsApi.md#appsgetcollection) | **GET** /v1/apps | 
[**appsGetInstance**](AppsApi.md#appsgetinstance) | **GET** /v1/apps/{id} | 
[**appsInAppPurchasesGetToManyRelated**](AppsApi.md#appsinapppurchasesgettomanyrelated) | **GET** /v1/apps/{id}/inAppPurchases | 
[**appsInAppPurchasesV2GetToManyRelated**](AppsApi.md#appsinapppurchasesv2gettomanyrelated) | **GET** /v1/apps/{id}/inAppPurchasesV2 | 
[**appsPerfPowerMetricsGetToManyRelated**](AppsApi.md#appsperfpowermetricsgettomanyrelated) | **GET** /v1/apps/{id}/perfPowerMetrics | 
[**appsPreOrderGetToOneRelated**](AppsApi.md#appspreordergettoonerelated) | **GET** /v1/apps/{id}/preOrder | 
[**appsPreReleaseVersionsGetToManyRelated**](AppsApi.md#appsprereleaseversionsgettomanyrelated) | **GET** /v1/apps/{id}/preReleaseVersions | 
[**appsPricePointsGetToManyRelated**](AppsApi.md#appspricepointsgettomanyrelated) | **GET** /v1/apps/{id}/pricePoints | 
[**appsPricesGetToManyRelated**](AppsApi.md#appspricesgettomanyrelated) | **GET** /v1/apps/{id}/prices | 
[**appsPromotedPurchasesGetToManyRelated**](AppsApi.md#appspromotedpurchasesgettomanyrelated) | **GET** /v1/apps/{id}/promotedPurchases | 
[**appsPromotedPurchasesGetToManyRelationship**](AppsApi.md#appspromotedpurchasesgettomanyrelationship) | **GET** /v1/apps/{id}/relationships/promotedPurchases | 
[**appsPromotedPurchasesReplaceToManyRelationship**](AppsApi.md#appspromotedpurchasesreplacetomanyrelationship) | **PATCH** /v1/apps/{id}/relationships/promotedPurchases | 
[**appsReviewSubmissionsGetToManyRelated**](AppsApi.md#appsreviewsubmissionsgettomanyrelated) | **GET** /v1/apps/{id}/reviewSubmissions | 
[**appsSubscriptionGracePeriodGetToOneRelated**](AppsApi.md#appssubscriptiongraceperiodgettoonerelated) | **GET** /v1/apps/{id}/subscriptionGracePeriod | 
[**appsSubscriptionGroupsGetToManyRelated**](AppsApi.md#appssubscriptiongroupsgettomanyrelated) | **GET** /v1/apps/{id}/subscriptionGroups | 
[**appsUpdateInstance**](AppsApi.md#appsupdateinstance) | **PATCH** /v1/apps/{id} | 


# **appsAppAvailabilityGetToOneRelated**
> AppAvailabilityResponse appsAppAvailabilityGetToOneRelated(id, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appAvailabilities
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppAvailabilityGetToOneRelated(id, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppAvailabilityGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppAvailabilityResponse**](AppAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppClipsGetToManyRelated**
> AppClipsResponse appsAppClipsGetToManyRelated(id, filterLeftSquareBracketBundleIdRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, limit, limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketBundleIdRightSquareBracket = []; // List<String> | filter by attribute 'bundleId'
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = 56; // int | maximum number of related appClipDefaultExperiences returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppClipsGetToManyRelated(id, filterLeftSquareBracketBundleIdRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, limit, limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppClipsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketBundleIdRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'bundleId' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | **int**| maximum number of related appClipDefaultExperiences returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipsResponse**](AppClipsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppCustomProductPagesGetToManyRelated**
> AppCustomProductPagesResponse appsAppCustomProductPagesGetToManyRelated(id, filterLeftSquareBracketVisibleRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketVisibleRightSquareBracket = []; // List<String> | filter by attribute 'visible'
final fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPages
final fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = 56; // int | maximum number of related appCustomProductPageVersions returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppCustomProductPagesGetToManyRelated(id, filterLeftSquareBracketVisibleRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppCustomProductPagesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketVisibleRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'visible' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPages | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | **int**| maximum number of related appCustomProductPageVersions returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCustomProductPagesResponse**](AppCustomProductPagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppEventsGetToManyRelated**
> AppEventsResponse appsAppEventsGetToManyRelated(id, filterLeftSquareBracketEventStateRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, limit, limitLeftSquareBracketLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketEventStateRightSquareBracket = []; // List<String> | filter by attribute 'eventState'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventLocalizations
final fieldsLeftSquareBracketAppEventsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEvents
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketLocalizationsRightSquareBracket = 56; // int | maximum number of related localizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppEventsGetToManyRelated(id, filterLeftSquareBracketEventStateRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, limit, limitLeftSquareBracketLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppEventsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketEventStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'eventState' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEvents | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketLocalizationsRightSquareBracket** | **int**| maximum number of related localizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppEventsResponse**](AppEventsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppInfosGetToManyRelated**
> AppInfosResponse appsAppInfosGetToManyRelated(id, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations
final fieldsLeftSquareBracketAppInfosRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfos
final fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfoLocalizations
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket = 56; // int | maximum number of related appInfoLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppInfosGetToManyRelated(id, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppInfosGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfosRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfos | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfoLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket** | **int**| maximum number of related appInfoLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppInfosResponse**](AppInfosResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppPricePointsGetToManyRelated**
> AppPricePointsV3Response appsAppPricePointsGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppPricePointsGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppPricePointsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPricePointsV3Response**](AppPricePointsV3Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/csv

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppPriceScheduleGetToOneRelated**
> AppPriceScheduleResponse appsAppPriceScheduleGetToOneRelated(id, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceSchedules
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketManualPricesRightSquareBracket = 56; // int | maximum number of related manualPrices returned (when they are included)
final limitLeftSquareBracketAutomaticPricesRightSquareBracket = 56; // int | maximum number of related automaticPrices returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppPriceScheduleGetToOneRelated(id, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppPriceScheduleGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceSchedules | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketManualPricesRightSquareBracket** | **int**| maximum number of related manualPrices returned (when they are included) | [optional] 
 **limitLeftSquareBracketAutomaticPricesRightSquareBracket** | **int**| maximum number of related automaticPrices returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPriceScheduleResponse**](AppPriceScheduleResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppStoreVersionExperimentsV2GetToManyRelated**
> AppStoreVersionExperimentsV2Response appsAppStoreVersionExperimentsV2GetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketControlVersionsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatments
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketControlVersionsRightSquareBracket = 56; // int | maximum number of related controlVersions returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppStoreVersionExperimentsV2GetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketControlVersionsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppStoreVersionExperimentsV2GetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketControlVersionsRightSquareBracket** | **int**| maximum number of related controlVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentTreatments returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionExperimentsV2Response**](AppStoreVersionExperimentsV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAppStoreVersionsGetToManyRelated**
> AppStoreVersionsResponse appsAppStoreVersionsGetToManyRelated(id, filterLeftSquareBracketAppStoreStateRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketVersionStringRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketAppStoreStateRightSquareBracket = []; // List<String> | filter by attribute 'appStoreState'
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketVersionStringRightSquareBracket = []; // List<String> | filter by attribute 'versionString'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations
final fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionSubmissions
final fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewDetails
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type routingAppCoverages
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionPhasedReleases
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = 56; // int | maximum number of related appStoreVersionLocalizations returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperiments returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsAppStoreVersionsGetToManyRelated(id, filterLeftSquareBracketAppStoreStateRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketVersionStringRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAppStoreVersionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketAppStoreStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'appStoreState' | [optional] [default to const []]
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketVersionStringRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'versionString' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type routingAppCoverages | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionPhasedReleases | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | **int**| maximum number of related appStoreVersionLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperiments returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentsV2 returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionsResponse**](AppStoreVersionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsAvailableTerritoriesGetToManyRelated**
> TerritoriesResponse appsAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appsAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsAvailableTerritoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**TerritoriesResponse**](TerritoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsBetaAppLocalizationsGetToManyRelated**
> BetaAppLocalizationsResponse appsBetaAppLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppLocalizations
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appsBetaAppLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsBetaAppLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BetaAppLocalizationsResponse**](BetaAppLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsBetaAppReviewDetailGetToOneRelated**
> BetaAppReviewDetailResponse appsBetaAppReviewDetailGetToOneRelated(id, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewDetails

try {
    final result = api_instance.appsBetaAppReviewDetailGetToOneRelated(id, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsBetaAppReviewDetailGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewDetails | [optional] [default to const []]

### Return type

[**BetaAppReviewDetailResponse**](BetaAppReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsBetaGroupsGetToManyRelated**
> BetaGroupsResponse appsBetaGroupsGetToManyRelated(id, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaGroups
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appsBetaGroupsGetToManyRelated(id, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsBetaGroupsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaGroups | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BetaGroupsResponse**](BetaGroupsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsBetaLicenseAgreementGetToOneRelated**
> BetaLicenseAgreementResponse appsBetaLicenseAgreementGetToOneRelated(id, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaLicenseAgreements

try {
    final result = api_instance.appsBetaLicenseAgreementGetToOneRelated(id, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsBetaLicenseAgreementGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaLicenseAgreements | [optional] [default to const []]

### Return type

[**BetaLicenseAgreementResponse**](BetaLicenseAgreementResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsBetaTestersDeleteToManyRelationship**
> appsBetaTestersDeleteToManyRelationship(id, appBetaTestersLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final appBetaTestersLinkagesRequest = AppBetaTestersLinkagesRequest(); // AppBetaTestersLinkagesRequest | List of related linkages

try {
    api_instance.appsBetaTestersDeleteToManyRelationship(id, appBetaTestersLinkagesRequest);
} catch (e) {
    print('Exception when calling AppsApi->appsBetaTestersDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appBetaTestersLinkagesRequest** | [**AppBetaTestersLinkagesRequest**](AppBetaTestersLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsBuildsGetToManyRelated**
> BuildsResponse appsBuildsGetToManyRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appsBuildsGetToManyRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsBuildsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BuildsResponse**](BuildsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsCiProductGetToOneRelated**
> CiProductResponse appsCiProductGetToOneRelated(id, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final fieldsLeftSquareBracketBundleIdsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIds
final limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket = 56; // int | maximum number of related primaryRepositories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsCiProductGetToOneRelated(id, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsCiProductGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **fieldsLeftSquareBracketBundleIdsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIds | [optional] [default to const []]
 **limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket** | **int**| maximum number of related primaryRepositories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CiProductResponse**](CiProductResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsCustomerReviewsGetToManyRelated**
> CustomerReviewsResponse appsCustomerReviewsGetToManyRelated(id, filterLeftSquareBracketRatingRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, existsLeftSquareBracketPublishedResponseRightSquareBracket, sort, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketRatingRightSquareBracket = []; // List<String> | filter by attribute 'rating'
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by attribute 'territory'
final existsLeftSquareBracketPublishedResponseRightSquareBracket = true; // bool | filter by publishedResponse
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketCustomerReviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviews
final fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviewResponses
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsCustomerReviewsGetToManyRelated(id, filterLeftSquareBracketRatingRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, existsLeftSquareBracketPublishedResponseRightSquareBracket, sort, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsCustomerReviewsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketRatingRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'rating' | [optional] [default to const []]
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'territory' | [optional] [default to const []]
 **existsLeftSquareBracketPublishedResponseRightSquareBracket** | **bool**| filter by publishedResponse | [optional] 
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviews | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviewResponses | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CustomerReviewsResponse**](CustomerReviewsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsEndUserLicenseAgreementGetToOneRelated**
> EndUserLicenseAgreementResponse appsEndUserLicenseAgreementGetToOneRelated(id, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type endUserLicenseAgreements

try {
    final result = api_instance.appsEndUserLicenseAgreementGetToOneRelated(id, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsEndUserLicenseAgreementGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type endUserLicenseAgreements | [optional] [default to const []]

### Return type

[**EndUserLicenseAgreementResponse**](EndUserLicenseAgreementResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsGameCenterEnabledVersionsGetToManyRelated**
> GameCenterEnabledVersionsResponse appsGameCenterEnabledVersionsGetToManyRelated(id, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketVersionStringRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketCompatibleVersionsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketVersionStringRightSquareBracket = []; // List<String> | filter by attribute 'versionString'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type gameCenterEnabledVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketCompatibleVersionsRightSquareBracket = 56; // int | maximum number of related compatibleVersions returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsGameCenterEnabledVersionsGetToManyRelated(id, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketVersionStringRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketCompatibleVersionsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsGameCenterEnabledVersionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketVersionStringRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'versionString' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type gameCenterEnabledVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketCompatibleVersionsRightSquareBracket** | **int**| maximum number of related compatibleVersions returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**GameCenterEnabledVersionsResponse**](GameCenterEnabledVersionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsGetCollection**
> AppsResponse appsGetCollection(filterLeftSquareBracketAppStoreVersionsPeriodAppStoreStateRightSquareBracket, filterLeftSquareBracketAppStoreVersionsPeriodPlatformRightSquareBracket, filterLeftSquareBracketBundleIdRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketSkuRightSquareBracket, filterLeftSquareBracketAppStoreVersionsRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, existsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, sort, fieldsLeftSquareBracketAppsRightSquareBracket, limit, include, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket2, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketAppClipsRightSquareBracket, limitLeftSquareBracketAppCustomProductPagesRightSquareBracket, limitLeftSquareBracketAppEventsRightSquareBracket, limitLeftSquareBracketAppInfosRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, limitLeftSquareBracketAppStoreVersionsRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, limitLeftSquareBracketInAppPurchasesRightSquareBracket, limitLeftSquareBracketInAppPurchasesV2RightSquareBracket, limitLeftSquareBracketPreReleaseVersionsRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketPromotedPurchasesRightSquareBracket, limitLeftSquareBracketReviewSubmissionsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final filterLeftSquareBracketAppStoreVersionsPeriodAppStoreStateRightSquareBracket = []; // List<String> | filter by attribute 'appStoreVersions.appStoreState'
final filterLeftSquareBracketAppStoreVersionsPeriodPlatformRightSquareBracket = []; // List<String> | filter by attribute 'appStoreVersions.platform'
final filterLeftSquareBracketBundleIdRightSquareBracket = []; // List<String> | filter by attribute 'bundleId'
final filterLeftSquareBracketNameRightSquareBracket = []; // List<String> | filter by attribute 'name'
final filterLeftSquareBracketSkuRightSquareBracket = []; // List<String> | filter by attribute 'sku'
final filterLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersions'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final existsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = true; // bool | filter by existence or non-existence of related 'gameCenterEnabledVersions'
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewDetails
final fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceSchedules
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissions
final fieldsLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaGroups
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appAvailabilities
final fieldsLeftSquareBracketCustomerReviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviews
final fieldsLeftSquareBracketAppEventsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEvents
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaLicenseAgreements
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final fieldsLeftSquareBracketAppInfosRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfos
final fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppLocalizations
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroups
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final fieldsLeftSquareBracketAppPreOrdersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreOrders
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type gameCenterEnabledVersions
final fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGracePeriods
final fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type endUserLicenseAgreements
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPages
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type perfPowerMetrics
final limitLeftSquareBracketAppClipsRightSquareBracket = 56; // int | maximum number of related appClips returned (when they are included)
final limitLeftSquareBracketAppCustomProductPagesRightSquareBracket = 56; // int | maximum number of related appCustomProductPages returned (when they are included)
final limitLeftSquareBracketAppEventsRightSquareBracket = 56; // int | maximum number of related appEvents returned (when they are included)
final limitLeftSquareBracketAppInfosRightSquareBracket = 56; // int | maximum number of related appInfos returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
final limitLeftSquareBracketAppStoreVersionsRightSquareBracket = 56; // int | maximum number of related appStoreVersions returned (when they are included)
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)
final limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket = 56; // int | maximum number of related betaAppLocalizations returned (when they are included)
final limitLeftSquareBracketBetaGroupsRightSquareBracket = 56; // int | maximum number of related betaGroups returned (when they are included)
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)
final limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = 56; // int | maximum number of related gameCenterEnabledVersions returned (when they are included)
final limitLeftSquareBracketInAppPurchasesRightSquareBracket = 56; // int | maximum number of related inAppPurchases returned (when they are included)
final limitLeftSquareBracketInAppPurchasesV2RightSquareBracket = 56; // int | maximum number of related inAppPurchasesV2 returned (when they are included)
final limitLeftSquareBracketPreReleaseVersionsRightSquareBracket = 56; // int | maximum number of related preReleaseVersions returned (when they are included)
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)
final limitLeftSquareBracketPromotedPurchasesRightSquareBracket = 56; // int | maximum number of related promotedPurchases returned (when they are included)
final limitLeftSquareBracketReviewSubmissionsRightSquareBracket = 56; // int | maximum number of related reviewSubmissions returned (when they are included)
final limitLeftSquareBracketSubscriptionGroupsRightSquareBracket = 56; // int | maximum number of related subscriptionGroups returned (when they are included)

try {
    final result = api_instance.appsGetCollection(filterLeftSquareBracketAppStoreVersionsPeriodAppStoreStateRightSquareBracket, filterLeftSquareBracketAppStoreVersionsPeriodPlatformRightSquareBracket, filterLeftSquareBracketBundleIdRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketSkuRightSquareBracket, filterLeftSquareBracketAppStoreVersionsRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, existsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, sort, fieldsLeftSquareBracketAppsRightSquareBracket, limit, include, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket2, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketAppClipsRightSquareBracket, limitLeftSquareBracketAppCustomProductPagesRightSquareBracket, limitLeftSquareBracketAppEventsRightSquareBracket, limitLeftSquareBracketAppInfosRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, limitLeftSquareBracketAppStoreVersionsRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, limitLeftSquareBracketInAppPurchasesRightSquareBracket, limitLeftSquareBracketInAppPurchasesV2RightSquareBracket, limitLeftSquareBracketPreReleaseVersionsRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketPromotedPurchasesRightSquareBracket, limitLeftSquareBracketReviewSubmissionsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketAppStoreVersionsPeriodAppStoreStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'appStoreVersions.appStoreState' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionsPeriodPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'appStoreVersions.platform' | [optional] [default to const []]
 **filterLeftSquareBracketBundleIdRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'bundleId' | [optional] [default to const []]
 **filterLeftSquareBracketNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'name' | [optional] [default to const []]
 **filterLeftSquareBracketSkuRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'sku' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersions' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **existsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | **bool**| filter by existence or non-existence of related 'gameCenterEnabledVersions' | [optional] 
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceSchedules | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviews | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEvents | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaLicenseAgreements | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfosRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfos | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreOrdersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreOrders | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type gameCenterEnabledVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGracePeriods | [optional] [default to const []]
 **fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type endUserLicenseAgreements | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPages | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type perfPowerMetrics | [optional] [default to const []]
 **limitLeftSquareBracketAppClipsRightSquareBracket** | **int**| maximum number of related appClips returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppCustomProductPagesRightSquareBracket** | **int**| maximum number of related appCustomProductPages returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppEventsRightSquareBracket** | **int**| maximum number of related appEvents returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppInfosRightSquareBracket** | **int**| maximum number of related appInfos returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentsV2 returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionsRightSquareBracket** | **int**| maximum number of related appStoreVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | **int**| maximum number of related betaAppLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaGroupsRightSquareBracket** | **int**| maximum number of related betaGroups returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 
 **limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | **int**| maximum number of related gameCenterEnabledVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketInAppPurchasesRightSquareBracket** | **int**| maximum number of related inAppPurchases returned (when they are included) | [optional] 
 **limitLeftSquareBracketInAppPurchasesV2RightSquareBracket** | **int**| maximum number of related inAppPurchasesV2 returned (when they are included) | [optional] 
 **limitLeftSquareBracketPreReleaseVersionsRightSquareBracket** | **int**| maximum number of related preReleaseVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 
 **limitLeftSquareBracketPromotedPurchasesRightSquareBracket** | **int**| maximum number of related promotedPurchases returned (when they are included) | [optional] 
 **limitLeftSquareBracketReviewSubmissionsRightSquareBracket** | **int**| maximum number of related reviewSubmissions returned (when they are included) | [optional] 
 **limitLeftSquareBracketSubscriptionGroupsRightSquareBracket** | **int**| maximum number of related subscriptionGroups returned (when they are included) | [optional] 

### Return type

[**AppsResponse**](AppsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsGetInstance**
> AppResponse appsGetInstance(id, fieldsLeftSquareBracketAppsRightSquareBracket, include, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket2, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketAppClipsRightSquareBracket, limitLeftSquareBracketAppCustomProductPagesRightSquareBracket, limitLeftSquareBracketAppEventsRightSquareBracket, limitLeftSquareBracketAppInfosRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, limitLeftSquareBracketAppStoreVersionsRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, limitLeftSquareBracketInAppPurchasesRightSquareBracket, limitLeftSquareBracketInAppPurchasesV2RightSquareBracket, limitLeftSquareBracketPreReleaseVersionsRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketPromotedPurchasesRightSquareBracket, limitLeftSquareBracketReviewSubmissionsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewDetails
final fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceSchedules
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissions
final fieldsLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaGroups
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appAvailabilities
final fieldsLeftSquareBracketCustomerReviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviews
final fieldsLeftSquareBracketAppEventsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEvents
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaLicenseAgreements
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final fieldsLeftSquareBracketAppInfosRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfos
final fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppLocalizations
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroups
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final fieldsLeftSquareBracketAppPreOrdersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreOrders
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type gameCenterEnabledVersions
final fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGracePeriods
final fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type endUserLicenseAgreements
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPages
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type perfPowerMetrics
final limitLeftSquareBracketAppClipsRightSquareBracket = 56; // int | maximum number of related appClips returned (when they are included)
final limitLeftSquareBracketAppCustomProductPagesRightSquareBracket = 56; // int | maximum number of related appCustomProductPages returned (when they are included)
final limitLeftSquareBracketAppEventsRightSquareBracket = 56; // int | maximum number of related appEvents returned (when they are included)
final limitLeftSquareBracketAppInfosRightSquareBracket = 56; // int | maximum number of related appInfos returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
final limitLeftSquareBracketAppStoreVersionsRightSquareBracket = 56; // int | maximum number of related appStoreVersions returned (when they are included)
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)
final limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket = 56; // int | maximum number of related betaAppLocalizations returned (when they are included)
final limitLeftSquareBracketBetaGroupsRightSquareBracket = 56; // int | maximum number of related betaGroups returned (when they are included)
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)
final limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = 56; // int | maximum number of related gameCenterEnabledVersions returned (when they are included)
final limitLeftSquareBracketInAppPurchasesRightSquareBracket = 56; // int | maximum number of related inAppPurchases returned (when they are included)
final limitLeftSquareBracketInAppPurchasesV2RightSquareBracket = 56; // int | maximum number of related inAppPurchasesV2 returned (when they are included)
final limitLeftSquareBracketPreReleaseVersionsRightSquareBracket = 56; // int | maximum number of related preReleaseVersions returned (when they are included)
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)
final limitLeftSquareBracketPromotedPurchasesRightSquareBracket = 56; // int | maximum number of related promotedPurchases returned (when they are included)
final limitLeftSquareBracketReviewSubmissionsRightSquareBracket = 56; // int | maximum number of related reviewSubmissions returned (when they are included)
final limitLeftSquareBracketSubscriptionGroupsRightSquareBracket = 56; // int | maximum number of related subscriptionGroups returned (when they are included)

try {
    final result = api_instance.appsGetInstance(id, fieldsLeftSquareBracketAppsRightSquareBracket, include, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket2, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketAppClipsRightSquareBracket, limitLeftSquareBracketAppCustomProductPagesRightSquareBracket, limitLeftSquareBracketAppEventsRightSquareBracket, limitLeftSquareBracketAppInfosRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, limitLeftSquareBracketAppStoreVersionsRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, limitLeftSquareBracketInAppPurchasesRightSquareBracket, limitLeftSquareBracketInAppPurchasesV2RightSquareBracket, limitLeftSquareBracketPreReleaseVersionsRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketPromotedPurchasesRightSquareBracket, limitLeftSquareBracketReviewSubmissionsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceSchedules | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviews | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEvents | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaLicenseAgreements | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfosRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfos | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreOrdersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreOrders | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type gameCenterEnabledVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGracePeriods | [optional] [default to const []]
 **fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type endUserLicenseAgreements | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPages | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type perfPowerMetrics | [optional] [default to const []]
 **limitLeftSquareBracketAppClipsRightSquareBracket** | **int**| maximum number of related appClips returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppCustomProductPagesRightSquareBracket** | **int**| maximum number of related appCustomProductPages returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppEventsRightSquareBracket** | **int**| maximum number of related appEvents returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppInfosRightSquareBracket** | **int**| maximum number of related appInfos returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentsV2 returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionsRightSquareBracket** | **int**| maximum number of related appStoreVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | **int**| maximum number of related betaAppLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaGroupsRightSquareBracket** | **int**| maximum number of related betaGroups returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 
 **limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | **int**| maximum number of related gameCenterEnabledVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketInAppPurchasesRightSquareBracket** | **int**| maximum number of related inAppPurchases returned (when they are included) | [optional] 
 **limitLeftSquareBracketInAppPurchasesV2RightSquareBracket** | **int**| maximum number of related inAppPurchasesV2 returned (when they are included) | [optional] 
 **limitLeftSquareBracketPreReleaseVersionsRightSquareBracket** | **int**| maximum number of related preReleaseVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 
 **limitLeftSquareBracketPromotedPurchasesRightSquareBracket** | **int**| maximum number of related promotedPurchases returned (when they are included) | [optional] 
 **limitLeftSquareBracketReviewSubmissionsRightSquareBracket** | **int**| maximum number of related reviewSubmissions returned (when they are included) | [optional] 
 **limitLeftSquareBracketSubscriptionGroupsRightSquareBracket** | **int**| maximum number of related subscriptionGroups returned (when they are included) | [optional] 

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsInAppPurchasesGetToManyRelated**
> InAppPurchasesResponse appsInAppPurchasesGetToManyRelated(id, filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket, filterLeftSquareBracketCanBeSubmittedRightSquareBracket, sort, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketAppsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket = []; // List<String> | filter by attribute 'inAppPurchaseType'
final filterLeftSquareBracketCanBeSubmittedRightSquareBracket = []; // List<String> | filter by canBeSubmitted
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppsRightSquareBracket = 56; // int | maximum number of related apps returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsInAppPurchasesGetToManyRelated(id, filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket, filterLeftSquareBracketCanBeSubmittedRightSquareBracket, sort, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketAppsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsInAppPurchasesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'inAppPurchaseType' | [optional] [default to const []]
 **filterLeftSquareBracketCanBeSubmittedRightSquareBracket** | [**List<String>**](String.md)| filter by canBeSubmitted | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppsRightSquareBracket** | **int**| maximum number of related apps returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchasesResponse**](InAppPurchasesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsInAppPurchasesV2GetToManyRelated**
> InAppPurchasesV2Response appsInAppPurchasesV2GetToManyRelated(id, filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketProductIdRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, sort, fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket, limit, limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket = []; // List<String> | filter by attribute 'inAppPurchaseType'
final filterLeftSquareBracketNameRightSquareBracket = []; // List<String> | filter by attribute 'name'
final filterLeftSquareBracketProductIdRightSquareBracket = []; // List<String> | filter by attribute 'productId'
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots
final fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseAvailabilities
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseLocalizations
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePriceSchedules
final fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseContents
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket = 56; // int | maximum number of related inAppPurchaseLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsInAppPurchasesV2GetToManyRelated(id, filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketProductIdRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, sort, fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket, limit, limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsInAppPurchasesV2GetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketInAppPurchaseTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'inAppPurchaseType' | [optional] [default to const []]
 **filterLeftSquareBracketNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'name' | [optional] [default to const []]
 **filterLeftSquareBracketProductIdRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'productId' | [optional] [default to const []]
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePriceSchedules | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseContents | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket** | **int**| maximum number of related inAppPurchaseLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchasesV2Response**](InAppPurchasesV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPerfPowerMetricsGetToManyRelated**
> XcodeMetrics appsPerfPowerMetricsGetToManyRelated(id, filterLeftSquareBracketDeviceTypeRightSquareBracket, filterLeftSquareBracketMetricTypeRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketDeviceTypeRightSquareBracket = []; // List<String> | filter by attribute 'deviceType'
final filterLeftSquareBracketMetricTypeRightSquareBracket = []; // List<String> | filter by attribute 'metricType'
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'

try {
    final result = api_instance.appsPerfPowerMetricsGetToManyRelated(id, filterLeftSquareBracketDeviceTypeRightSquareBracket, filterLeftSquareBracketMetricTypeRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsPerfPowerMetricsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketDeviceTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'deviceType' | [optional] [default to const []]
 **filterLeftSquareBracketMetricTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'metricType' | [optional] [default to const []]
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]

### Return type

[**XcodeMetrics**](XcodeMetrics.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/vnd.apple.xcode-metrics+json, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPreOrderGetToOneRelated**
> AppPreOrderResponse appsPreOrderGetToOneRelated(id, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppPreOrdersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreOrders

try {
    final result = api_instance.appsPreOrderGetToOneRelated(id, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsPreOrderGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppPreOrdersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreOrders | [optional] [default to const []]

### Return type

[**AppPreOrderResponse**](AppPreOrderResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPreReleaseVersionsGetToManyRelated**
> PreReleaseVersionsResponse appsPreReleaseVersionsGetToManyRelated(id, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appsPreReleaseVersionsGetToManyRelated(id, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsPreReleaseVersionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**PreReleaseVersionsResponse**](PreReleaseVersionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPricePointsGetToManyRelated**
> AppPricePointsV2Response appsPricePointsGetToManyRelated(id, filterLeftSquareBracketPriceTierRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketPriceTierRightSquareBracket = []; // List<String> | filter by id(s) of related 'priceTier'
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketAppPriceTiersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceTiers
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsPricePointsGetToManyRelated(id, filterLeftSquareBracketPriceTierRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsPricePointsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketPriceTierRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'priceTier' | [optional] [default to const []]
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPriceTiersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceTiers | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPricePointsV2Response**](AppPricePointsV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPricesGetToManyRelated**
> AppPricesResponse appsPricesGetToManyRelated(id, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppPriceTiersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceTiers
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsPricesGetToManyRelated(id, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppPriceTiersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceTiers | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPricesResponse**](AppPricesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPromotedPurchasesGetToManyRelated**
> PromotedPurchasesResponse appsPromotedPurchasesGetToManyRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limit, limitLeftSquareBracketPromotionImagesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchaseImages
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketPromotionImagesRightSquareBracket = 56; // int | maximum number of related promotionImages returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsPromotedPurchasesGetToManyRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limit, limitLeftSquareBracketPromotionImagesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsPromotedPurchasesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchaseImages | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketPromotionImagesRightSquareBracket** | **int**| maximum number of related promotionImages returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**PromotedPurchasesResponse**](PromotedPurchasesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPromotedPurchasesGetToManyRelationship**
> AppPromotedPurchasesLinkagesResponse appsPromotedPurchasesGetToManyRelationship(id, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appsPromotedPurchasesGetToManyRelationship(id, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsPromotedPurchasesGetToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**AppPromotedPurchasesLinkagesResponse**](AppPromotedPurchasesLinkagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsPromotedPurchasesReplaceToManyRelationship**
> appsPromotedPurchasesReplaceToManyRelationship(id, appPromotedPurchasesLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final appPromotedPurchasesLinkagesRequest = AppPromotedPurchasesLinkagesRequest(); // AppPromotedPurchasesLinkagesRequest | List of related linkages

try {
    api_instance.appsPromotedPurchasesReplaceToManyRelationship(id, appPromotedPurchasesLinkagesRequest);
} catch (e) {
    print('Exception when calling AppsApi->appsPromotedPurchasesReplaceToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appPromotedPurchasesLinkagesRequest** | [**AppPromotedPurchasesLinkagesRequest**](AppPromotedPurchasesLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsReviewSubmissionsGetToManyRelated**
> ReviewSubmissionsResponse appsReviewSubmissionsGetToManyRelated(id, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, fieldsLeftSquareBracketActorsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, limit, limitLeftSquareBracketItemsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissionItems
final fieldsLeftSquareBracketActorsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type actors
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissions
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketItemsRightSquareBracket = 56; // int | maximum number of related items returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsReviewSubmissionsGetToManyRelated(id, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, fieldsLeftSquareBracketActorsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, limit, limitLeftSquareBracketItemsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsReviewSubmissionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissionItems | [optional] [default to const []]
 **fieldsLeftSquareBracketActorsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type actors | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketItemsRightSquareBracket** | **int**| maximum number of related items returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ReviewSubmissionsResponse**](ReviewSubmissionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsSubscriptionGracePeriodGetToOneRelated**
> SubscriptionGracePeriodResponse appsSubscriptionGracePeriodGetToOneRelated(id, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGracePeriods

try {
    final result = api_instance.appsSubscriptionGracePeriodGetToOneRelated(id, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsSubscriptionGracePeriodGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGracePeriods | [optional] [default to const []]

### Return type

[**SubscriptionGracePeriodResponse**](SubscriptionGracePeriodResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsSubscriptionGroupsGetToManyRelated**
> SubscriptionGroupsResponse appsSubscriptionGroupsGetToManyRelated(id, filterLeftSquareBracketReferenceNameRightSquareBracket, filterLeftSquareBracketSubscriptionsPeriodStateRightSquareBracket, sort, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limit, limitLeftSquareBracketSubscriptionsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketReferenceNameRightSquareBracket = []; // List<String> | filter by attribute 'referenceName'
final filterLeftSquareBracketSubscriptionsPeriodStateRightSquareBracket = []; // List<String> | filter by attribute 'subscriptions.state'
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroups
final fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroupLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketSubscriptionsRightSquareBracket = 56; // int | maximum number of related subscriptions returned (when they are included)
final limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket = 56; // int | maximum number of related subscriptionGroupLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appsSubscriptionGroupsGetToManyRelated(id, filterLeftSquareBracketReferenceNameRightSquareBracket, filterLeftSquareBracketSubscriptionsPeriodStateRightSquareBracket, sort, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limit, limitLeftSquareBracketSubscriptionsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsSubscriptionGroupsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketReferenceNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'referenceName' | [optional] [default to const []]
 **filterLeftSquareBracketSubscriptionsPeriodStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'subscriptions.state' | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroupLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketSubscriptionsRightSquareBracket** | **int**| maximum number of related subscriptions returned (when they are included) | [optional] 
 **limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket** | **int**| maximum number of related subscriptionGroupLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionGroupsResponse**](SubscriptionGroupsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appsUpdateInstance**
> AppResponse appsUpdateInstance(id, appUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppsApi();
final id = id_example; // String | the id of the requested resource
final appUpdateRequest = AppUpdateRequest(); // AppUpdateRequest | App representation

try {
    final result = api_instance.appsUpdateInstance(id, appUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppsApi->appsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appUpdateRequest** | [**AppUpdateRequest**](AppUpdateRequest.md)| App representation | 

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

