# appstore_connect_api.model.BuildBundleAttributes

## Load the model package
```dart
import 'package:appstore_connect_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**bundleId** | **String** |  | [optional] 
**bundleType** | **String** |  | [optional] 
**sdkBuild** | **String** |  | [optional] 
**platformBuild** | **String** |  | [optional] 
**fileName** | **String** |  | [optional] 
**hasSirikit** | **bool** |  | [optional] 
**hasOnDemandResources** | **bool** |  | [optional] 
**hasPrerenderedIcon** | **bool** |  | [optional] 
**usesLocationServices** | **bool** |  | [optional] 
**isIosBuildMacAppStoreCompatible** | **bool** |  | [optional] 
**includesSymbols** | **bool** |  | [optional] 
**dSYMUrl** | **String** |  | [optional] 
**supportedArchitectures** | **List<String>** |  | [optional] [default to const []]
**requiredCapabilities** | **List<String>** |  | [optional] [default to const []]
**deviceProtocols** | **List<String>** |  | [optional] [default to const []]
**locales** | **List<String>** |  | [optional] [default to const []]
**entitlements** | [**Map<String, Map<String, String>>**](Map.md) |  | [optional] [default to const {}]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


