# appstore_connect_api.api.CiArtifactsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciArtifactsGetInstance**](CiArtifactsApi.md#ciartifactsgetinstance) | **GET** /v1/ciArtifacts/{id} | 


# **ciArtifactsGetInstance**
> CiArtifactResponse ciArtifactsGetInstance(id, fieldsLeftSquareBracketCiArtifactsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiArtifactsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiArtifactsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciArtifacts

try {
    final result = api_instance.ciArtifactsGetInstance(id, fieldsLeftSquareBracketCiArtifactsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiArtifactsApi->ciArtifactsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiArtifactsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciArtifacts | [optional] [default to const []]

### Return type

[**CiArtifactResponse**](CiArtifactResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

