# appstore_connect_api.api.CiTestResultsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciTestResultsGetInstance**](CiTestResultsApi.md#citestresultsgetinstance) | **GET** /v1/ciTestResults/{id} | 


# **ciTestResultsGetInstance**
> CiTestResultResponse ciTestResultsGetInstance(id, fieldsLeftSquareBracketCiTestResultsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiTestResultsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiTestResultsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciTestResults

try {
    final result = api_instance.ciTestResultsGetInstance(id, fieldsLeftSquareBracketCiTestResultsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiTestResultsApi->ciTestResultsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiTestResultsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciTestResults | [optional] [default to const []]

### Return type

[**CiTestResultResponse**](CiTestResultResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

