# appstore_connect_api.api.SandboxTestersClearPurchaseHistoryRequestApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**sandboxTestersClearPurchaseHistoryRequestCreateInstance**](SandboxTestersClearPurchaseHistoryRequestApi.md#sandboxtestersclearpurchasehistoryrequestcreateinstance) | **POST** /v2/sandboxTestersClearPurchaseHistoryRequest | 


# **sandboxTestersClearPurchaseHistoryRequestCreateInstance**
> SandboxTestersClearPurchaseHistoryRequestV2Response sandboxTestersClearPurchaseHistoryRequestCreateInstance(sandboxTestersClearPurchaseHistoryRequestV2CreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SandboxTestersClearPurchaseHistoryRequestApi();
final sandboxTestersClearPurchaseHistoryRequestV2CreateRequest = SandboxTestersClearPurchaseHistoryRequestV2CreateRequest(); // SandboxTestersClearPurchaseHistoryRequestV2CreateRequest | SandboxTestersClearPurchaseHistoryRequest representation

try {
    final result = api_instance.sandboxTestersClearPurchaseHistoryRequestCreateInstance(sandboxTestersClearPurchaseHistoryRequestV2CreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SandboxTestersClearPurchaseHistoryRequestApi->sandboxTestersClearPurchaseHistoryRequestCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sandboxTestersClearPurchaseHistoryRequestV2CreateRequest** | [**SandboxTestersClearPurchaseHistoryRequestV2CreateRequest**](SandboxTestersClearPurchaseHistoryRequestV2CreateRequest.md)| SandboxTestersClearPurchaseHistoryRequest representation | 

### Return type

[**SandboxTestersClearPurchaseHistoryRequestV2Response**](SandboxTestersClearPurchaseHistoryRequestV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

