# appstore_connect_api.api.ScmGitReferencesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**scmGitReferencesGetInstance**](ScmGitReferencesApi.md#scmgitreferencesgetinstance) | **GET** /v1/scmGitReferences/{id} | 


# **scmGitReferencesGetInstance**
> ScmGitReferenceResponse scmGitReferencesGetInstance(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmGitReferencesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.scmGitReferencesGetInstance(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling ScmGitReferencesApi->scmGitReferencesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmGitReferenceResponse**](ScmGitReferenceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

