# appstore_connect_api.api.SubscriptionOfferCodeOneTimeUseCodesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionOfferCodeOneTimeUseCodesCreateInstance**](SubscriptionOfferCodeOneTimeUseCodesApi.md#subscriptionoffercodeonetimeusecodescreateinstance) | **POST** /v1/subscriptionOfferCodeOneTimeUseCodes | 
[**subscriptionOfferCodeOneTimeUseCodesGetInstance**](SubscriptionOfferCodeOneTimeUseCodesApi.md#subscriptionoffercodeonetimeusecodesgetinstance) | **GET** /v1/subscriptionOfferCodeOneTimeUseCodes/{id} | 
[**subscriptionOfferCodeOneTimeUseCodesUpdateInstance**](SubscriptionOfferCodeOneTimeUseCodesApi.md#subscriptionoffercodeonetimeusecodesupdateinstance) | **PATCH** /v1/subscriptionOfferCodeOneTimeUseCodes/{id} | 
[**subscriptionOfferCodeOneTimeUseCodesValuesGetToOneRelated**](SubscriptionOfferCodeOneTimeUseCodesApi.md#subscriptionoffercodeonetimeusecodesvaluesgettoonerelated) | **GET** /v1/subscriptionOfferCodeOneTimeUseCodes/{id}/values | 


# **subscriptionOfferCodeOneTimeUseCodesCreateInstance**
> SubscriptionOfferCodeOneTimeUseCodeResponse subscriptionOfferCodeOneTimeUseCodesCreateInstance(subscriptionOfferCodeOneTimeUseCodeCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodeOneTimeUseCodesApi();
final subscriptionOfferCodeOneTimeUseCodeCreateRequest = SubscriptionOfferCodeOneTimeUseCodeCreateRequest(); // SubscriptionOfferCodeOneTimeUseCodeCreateRequest | SubscriptionOfferCodeOneTimeUseCode representation

try {
    final result = api_instance.subscriptionOfferCodeOneTimeUseCodesCreateInstance(subscriptionOfferCodeOneTimeUseCodeCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodeOneTimeUseCodesApi->subscriptionOfferCodeOneTimeUseCodesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionOfferCodeOneTimeUseCodeCreateRequest** | [**SubscriptionOfferCodeOneTimeUseCodeCreateRequest**](SubscriptionOfferCodeOneTimeUseCodeCreateRequest.md)| SubscriptionOfferCodeOneTimeUseCode representation | 

### Return type

[**SubscriptionOfferCodeOneTimeUseCodeResponse**](SubscriptionOfferCodeOneTimeUseCodeResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodeOneTimeUseCodesGetInstance**
> SubscriptionOfferCodeOneTimeUseCodeResponse subscriptionOfferCodeOneTimeUseCodesGetInstance(id, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodeValuesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodeOneTimeUseCodesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodeValuesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodeValues

try {
    final result = api_instance.subscriptionOfferCodeOneTimeUseCodesGetInstance(id, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodeValuesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodeOneTimeUseCodesApi->subscriptionOfferCodeOneTimeUseCodesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodeValuesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodeValues | [optional] [default to const []]

### Return type

[**SubscriptionOfferCodeOneTimeUseCodeResponse**](SubscriptionOfferCodeOneTimeUseCodeResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodeOneTimeUseCodesUpdateInstance**
> SubscriptionOfferCodeOneTimeUseCodeResponse subscriptionOfferCodeOneTimeUseCodesUpdateInstance(id, subscriptionOfferCodeOneTimeUseCodeUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodeOneTimeUseCodesApi();
final id = id_example; // String | the id of the requested resource
final subscriptionOfferCodeOneTimeUseCodeUpdateRequest = SubscriptionOfferCodeOneTimeUseCodeUpdateRequest(); // SubscriptionOfferCodeOneTimeUseCodeUpdateRequest | SubscriptionOfferCodeOneTimeUseCode representation

try {
    final result = api_instance.subscriptionOfferCodeOneTimeUseCodesUpdateInstance(id, subscriptionOfferCodeOneTimeUseCodeUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodeOneTimeUseCodesApi->subscriptionOfferCodeOneTimeUseCodesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionOfferCodeOneTimeUseCodeUpdateRequest** | [**SubscriptionOfferCodeOneTimeUseCodeUpdateRequest**](SubscriptionOfferCodeOneTimeUseCodeUpdateRequest.md)| SubscriptionOfferCodeOneTimeUseCode representation | 

### Return type

[**SubscriptionOfferCodeOneTimeUseCodeResponse**](SubscriptionOfferCodeOneTimeUseCodeResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodeOneTimeUseCodesValuesGetToOneRelated**
> String subscriptionOfferCodeOneTimeUseCodesValuesGetToOneRelated(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodeOneTimeUseCodesApi();
final id = id_example; // String | the id of the requested resource

try {
    final result = api_instance.subscriptionOfferCodeOneTimeUseCodesValuesGetToOneRelated(id);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodeOneTimeUseCodesApi->subscriptionOfferCodeOneTimeUseCodesValuesGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

**String**

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: text/csv, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

