# appstore_connect_api.api.SubscriptionSubmissionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionSubmissionsCreateInstance**](SubscriptionSubmissionsApi.md#subscriptionsubmissionscreateinstance) | **POST** /v1/subscriptionSubmissions | 


# **subscriptionSubmissionsCreateInstance**
> SubscriptionSubmissionResponse subscriptionSubmissionsCreateInstance(subscriptionSubmissionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionSubmissionsApi();
final subscriptionSubmissionCreateRequest = SubscriptionSubmissionCreateRequest(); // SubscriptionSubmissionCreateRequest | SubscriptionSubmission representation

try {
    final result = api_instance.subscriptionSubmissionsCreateInstance(subscriptionSubmissionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionSubmissionsApi->subscriptionSubmissionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionSubmissionCreateRequest** | [**SubscriptionSubmissionCreateRequest**](SubscriptionSubmissionCreateRequest.md)| SubscriptionSubmission representation | 

### Return type

[**SubscriptionSubmissionResponse**](SubscriptionSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

