# appstore_connect_api.api.AppStoreVersionPromotionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreVersionPromotionsCreateInstance**](AppStoreVersionPromotionsApi.md#appstoreversionpromotionscreateinstance) | **POST** /v1/appStoreVersionPromotions | 


# **appStoreVersionPromotionsCreateInstance**
> AppStoreVersionPromotionResponse appStoreVersionPromotionsCreateInstance(appStoreVersionPromotionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionPromotionsApi();
final appStoreVersionPromotionCreateRequest = AppStoreVersionPromotionCreateRequest(); // AppStoreVersionPromotionCreateRequest | AppStoreVersionPromotion representation

try {
    final result = api_instance.appStoreVersionPromotionsCreateInstance(appStoreVersionPromotionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionPromotionsApi->appStoreVersionPromotionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreVersionPromotionCreateRequest** | [**AppStoreVersionPromotionCreateRequest**](AppStoreVersionPromotionCreateRequest.md)| AppStoreVersionPromotion representation | 

### Return type

[**AppStoreVersionPromotionResponse**](AppStoreVersionPromotionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

