# appstore_connect_api.api.BuildBetaNotificationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**buildBetaNotificationsCreateInstance**](BuildBetaNotificationsApi.md#buildbetanotificationscreateinstance) | **POST** /v1/buildBetaNotifications | 


# **buildBetaNotificationsCreateInstance**
> BuildBetaNotificationResponse buildBetaNotificationsCreateInstance(buildBetaNotificationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildBetaNotificationsApi();
final buildBetaNotificationCreateRequest = BuildBetaNotificationCreateRequest(); // BuildBetaNotificationCreateRequest | BuildBetaNotification representation

try {
    final result = api_instance.buildBetaNotificationsCreateInstance(buildBetaNotificationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BuildBetaNotificationsApi->buildBetaNotificationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **buildBetaNotificationCreateRequest** | [**BuildBetaNotificationCreateRequest**](BuildBetaNotificationCreateRequest.md)| BuildBetaNotification representation | 

### Return type

[**BuildBetaNotificationResponse**](BuildBetaNotificationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

