# appstore_connect_api.api.CiIssuesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciIssuesGetInstance**](CiIssuesApi.md#ciissuesgetinstance) | **GET** /v1/ciIssues/{id} | 


# **ciIssuesGetInstance**
> CiIssueResponse ciIssuesGetInstance(id, fieldsLeftSquareBracketCiIssuesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiIssuesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiIssuesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciIssues

try {
    final result = api_instance.ciIssuesGetInstance(id, fieldsLeftSquareBracketCiIssuesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiIssuesApi->ciIssuesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiIssuesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciIssues | [optional] [default to const []]

### Return type

[**CiIssueResponse**](CiIssueResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

