# appstore_connect_api.api.FinanceReportsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**financeReportsGetCollection**](FinanceReportsApi.md#financereportsgetcollection) | **GET** /v1/financeReports | 


# **financeReportsGetCollection**
> MultipartFile financeReportsGetCollection(filterLeftSquareBracketRegionCodeRightSquareBracket, filterLeftSquareBracketReportDateRightSquareBracket, filterLeftSquareBracketReportTypeRightSquareBracket, filterLeftSquareBracketVendorNumberRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = FinanceReportsApi();
final filterLeftSquareBracketRegionCodeRightSquareBracket = []; // List<String> | filter by attribute 'regionCode'
final filterLeftSquareBracketReportDateRightSquareBracket = []; // List<String> | filter by attribute 'reportDate'
final filterLeftSquareBracketReportTypeRightSquareBracket = []; // List<String> | filter by attribute 'reportType'
final filterLeftSquareBracketVendorNumberRightSquareBracket = []; // List<String> | filter by attribute 'vendorNumber'

try {
    final result = api_instance.financeReportsGetCollection(filterLeftSquareBracketRegionCodeRightSquareBracket, filterLeftSquareBracketReportDateRightSquareBracket, filterLeftSquareBracketReportTypeRightSquareBracket, filterLeftSquareBracketVendorNumberRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling FinanceReportsApi->financeReportsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketRegionCodeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'regionCode' | [default to const []]
 **filterLeftSquareBracketReportDateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'reportDate' | [default to const []]
 **filterLeftSquareBracketReportTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'reportType' | [default to const []]
 **filterLeftSquareBracketVendorNumberRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'vendorNumber' | [default to const []]

### Return type

[**MultipartFile**](MultipartFile.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/a-gzip, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

