# appstore_connect_api.api.InAppPurchaseSubmissionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**inAppPurchaseSubmissionsCreateInstance**](InAppPurchaseSubmissionsApi.md#inapppurchasesubmissionscreateinstance) | **POST** /v1/inAppPurchaseSubmissions | 


# **inAppPurchaseSubmissionsCreateInstance**
> InAppPurchaseSubmissionResponse inAppPurchaseSubmissionsCreateInstance(inAppPurchaseSubmissionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseSubmissionsApi();
final inAppPurchaseSubmissionCreateRequest = InAppPurchaseSubmissionCreateRequest(); // InAppPurchaseSubmissionCreateRequest | InAppPurchaseSubmission representation

try {
    final result = api_instance.inAppPurchaseSubmissionsCreateInstance(inAppPurchaseSubmissionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchaseSubmissionsApi->inAppPurchaseSubmissionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **inAppPurchaseSubmissionCreateRequest** | [**InAppPurchaseSubmissionCreateRequest**](InAppPurchaseSubmissionCreateRequest.md)| InAppPurchaseSubmission representation | 

### Return type

[**InAppPurchaseSubmissionResponse**](InAppPurchaseSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

