# appstore_connect_api.api.SubscriptionGracePeriodsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionGracePeriodsGetInstance**](SubscriptionGracePeriodsApi.md#subscriptiongraceperiodsgetinstance) | **GET** /v1/subscriptionGracePeriods/{id} | 
[**subscriptionGracePeriodsUpdateInstance**](SubscriptionGracePeriodsApi.md#subscriptiongraceperiodsupdateinstance) | **PATCH** /v1/subscriptionGracePeriods/{id} | 


# **subscriptionGracePeriodsGetInstance**
> SubscriptionGracePeriodResponse subscriptionGracePeriodsGetInstance(id, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGracePeriodsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGracePeriods

try {
    final result = api_instance.subscriptionGracePeriodsGetInstance(id, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGracePeriodsApi->subscriptionGracePeriodsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGracePeriods | [optional] [default to const []]

### Return type

[**SubscriptionGracePeriodResponse**](SubscriptionGracePeriodResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGracePeriodsUpdateInstance**
> SubscriptionGracePeriodResponse subscriptionGracePeriodsUpdateInstance(id, subscriptionGracePeriodUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGracePeriodsApi();
final id = id_example; // String | the id of the requested resource
final subscriptionGracePeriodUpdateRequest = SubscriptionGracePeriodUpdateRequest(); // SubscriptionGracePeriodUpdateRequest | SubscriptionGracePeriod representation

try {
    final result = api_instance.subscriptionGracePeriodsUpdateInstance(id, subscriptionGracePeriodUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGracePeriodsApi->subscriptionGracePeriodsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionGracePeriodUpdateRequest** | [**SubscriptionGracePeriodUpdateRequest**](SubscriptionGracePeriodUpdateRequest.md)| SubscriptionGracePeriod representation | 

### Return type

[**SubscriptionGracePeriodResponse**](SubscriptionGracePeriodResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

