# appstore_connect_api.api.SubscriptionGroupSubmissionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionGroupSubmissionsCreateInstance**](SubscriptionGroupSubmissionsApi.md#subscriptiongroupsubmissionscreateinstance) | **POST** /v1/subscriptionGroupSubmissions | 


# **subscriptionGroupSubmissionsCreateInstance**
> SubscriptionGroupSubmissionResponse subscriptionGroupSubmissionsCreateInstance(subscriptionGroupSubmissionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupSubmissionsApi();
final subscriptionGroupSubmissionCreateRequest = SubscriptionGroupSubmissionCreateRequest(); // SubscriptionGroupSubmissionCreateRequest | SubscriptionGroupSubmission representation

try {
    final result = api_instance.subscriptionGroupSubmissionsCreateInstance(subscriptionGroupSubmissionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupSubmissionsApi->subscriptionGroupSubmissionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionGroupSubmissionCreateRequest** | [**SubscriptionGroupSubmissionCreateRequest**](SubscriptionGroupSubmissionCreateRequest.md)| SubscriptionGroupSubmission representation | 

### Return type

[**SubscriptionGroupSubmissionResponse**](SubscriptionGroupSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

